/* PARENT SCOPE */
.Login {
  width: 100%;
  min-height: 100vh;
  overflow: hidden;
  background: #ffffff;
}

/* --- LEFT SIDE --- */
.Login .banner_holder {
  width: 100%;
  height: 100vh;
  position: relative;
}

.Login .banner_holder:after {
  content: "";
  position: absolute;
  left: 0px;
  width: 100%;
  height: 100%;
  background: #bb000078 0% 0% no-repeat padding-box;
  bottom: 0px;
}

.Login .banner_holder .banner_img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* --- RIGHT SIDE --- */
.Login .login_content_holder {
  width: 100%;
  min-height: 100vh;
  padding: 40px 70px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* LOGO */
.Login .login_content_holder .logo_holder {
  width: 350px;
  margin: 0 auto 40px;
}

.Login .login_content_holder .logo_holder .logo_img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* TITLE */
.Login .login_content_holder .common_title {
  text-align: center;
}

.Login .login_content_holder .common_title .subtitle {
  text-align: center;
  font-size: 20px;
  color: #444444;
  margin-top: 10px;
}

/* --- FORM HOLDER (REQUIRED) --- */
.Login .login_content_holder .form_holder {
  width: 100%;
  max-width: 450px;
  margin: 5% auto 0;
}

.Login .form_holder .form-label {
  font-size: 15px;
  font-weight: 600;
  color: #000000;
  /* margin-bottom: 5px !important; */
  white-space: nowrap;
}

.Login .form_feild_holder .login-label {
  margin-bottom: 5px !important;
}

/* PHONE INPUT WRAPPERS */
.Login .phone_input_wrapper {
  width: 100%;
}

.Login .phone_container {
  width: 100% !important;
}

.Login .phone_container .phone_dropdown {
  background: transparent !important;
  border: none;
  border-right: 1px solid #ddd;
}

/* --- OTP STEP STYLING --- */
.Login .otp_wrapper .phone_display_text {
  font-size: 18px;
  color: #555;
  margin-bottom: 25px;
  font-weight: 500;
}

.Login .otp_input_section {
  margin-top: 30px;
}

.Login .otp_input_section .otp-wrapper {
  display: flex;
  /* align-items: center; */
  justify-content: space-between;
  gap: 30px;
}
.Login .otp_field_group {
  display: flex;
  align-items: center;
  gap: 12px;
  /* margin-top: 10px; */
}

.Login .otp_box {
  width: 41px;
  height: 40px;
  border: 1px solid #70707029;
  background: #f5f5f5;
  text-align: center;
  font-size: 17px;
  font-weight: 600;
  border-radius: 4px;
}

.Login .otp_timer {
  font-size: 14px;
  color: #999;
  margin-left: 10px;
}
.Login .resend-btn-wrapper {
  display: flex;
  justify-content: end;
}

.Login .resend_otp_btn {
  background: transparent;
  border: none;
  color: #bb0000;
  text-decoration: underline;
  font-weight: 600;
  margin-top: 15px;
  font-size: 14px;
  cursor: pointer;
}

.Login .back_to_home {
  display: block;
  margin: 20px auto 0;
  background: transparent;
  border: none;
  font-size: 16px;
  color: #333;
  font-weight: 500;
  cursor: pointer;
}

/* --- SUCCESS STEP STYLING --- */
.Login .success_wrapper {
  text-align: center;
  animation: fadeIn 0.6s ease-in-out;
}

.Login .success_text {
  font-size: 20px;
  color: #000;
  line-height: 1.5;
  font-weight: 600;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* --- BUTTONS & DIVIDERS --- */
.Login .btn_holder {
  display: flex;
  justify-content: center;
  margin-top: 50px;
}

.Login .or_divider {
  width: 100%;
  max-width: 450px;
  margin: 40px auto;
  display: flex;
  align-items: center;
  gap: 15px;
}

.Login .or_divider span {
  flex: 1 1;
  height: 2px;
  background: #b5bbc0;
}

.Login .or_divider p {
  margin: 0;
  font-size: 20px;
  font-weight: 600;
  color: #1a1a1a;
}

/* GOOGLE BUTTON */
.Login .google_btn {
  width: fit-content;
  margin: 0 auto;
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border: 1px solid #70707029;
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;
  font-size: 17px;
  font-weight: 600;
  transition: 0.3s;
  cursor: pointer;
  padding: 5px 20px;
}

.Login .google_btn:hover {
  background: #ebebeb;
}

.Login .google_btn .google_icon {
  font-size: 35px;
}

/* --- RESPONSIVE --- */
@media (max-width: 991px) {
  .Login .login_content_holder .common_title .subtitle {
    font-size: 16px;
  }
  .Login .login_content_holder {
    padding: 40px 20px;
  }

  .Login .login_content_holder .logo_holder {
    width: 220px;
  }

  .Login .login_content_holder .form_holder .form-label {
    font-size: 18px;
  }

  .Login .google_btn {
    height: 52px;
    font-size: 18px;
  }

  .Login .google_btn .google_icon {
    font-size: 24px;
  }

  .Login .or_divider p {
    font-size: 18px;
  }
}

@media (max-width: 575px) {
  .Login .otp_input_section .otp-wrapper {
    justify-content: start;
    gap: 6px;
    flex-direction: column;
  }
  .Login .form_holder .form-label {
    font-size: 14px !important;
    margin-bottom: 0px !important;
  }
  .Login .otp_input_section {
    margin-top: 10px;
  }
  .Login .login_content_holder {
    padding: 30px 15px;
  }
  .Login .btn_holder {
    margin-top: 30px;
  }
  .Login .otp_timer {
    margin-left: 0px;
  }
  .Login .form_feild_holder .login-label {
    margin-bottom: 5px !important;
  }
}
